CS::RenderManager::ShadowSettings Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes
CS::RenderManager::ShadowSettings Class Reference

Helper to read shadow handler settings. More...

`#include <csplugincommon/rendermanager/shadow_common.h>`

List of all members.

## Classes
struct | Target
| Shadow map target. More...
## Public Member Functions
void | AdvanceFrame (csTicks time)
| Do per-frame house keeping - MUST be called every frame/ RenderView() execution, typically from the shadow handler's persistent data UpdateNewFrame() method.
void | ReadSettings (iObjectRegistry *objReg, const char *shadowType)
| Read settings from configuration (such as targets, default shader etc.).
## Public Attributes
csRef< PostEffectManager > | postEffects
| Post processing effects to apply to shadow map.
bool | provideIDs
| Whether to provide IDs for each shadowed mesh.
csRef< iShader > | shadowDefaultShader
| Default shader for rendering to shadow map.
csStringID | shadowShaderType
| Shader type for rendering to shadow map.
CS::ShaderVarStringID | svMeshIDName
| Shader variable taking ID for a mesh.
TargetArray | targets
| Targets fir shadow maps.

## Detailed Description

Helper to read shadow handler settings.

Definition at line 40 of file shadow_common.h.

## Member Function Documentation

void CS::RenderManager::ShadowSettings::AdvanceFrame | ( | csTicks | time | ) |

Do per-frame house keeping - MUST be called every frame/ RenderView() execution, typically from the shadow handler's persistent data UpdateNewFrame() method.

void CS::RenderManager::ShadowSettings::ReadSettings | ( | iObjectRegistry * | objReg,
|  | const char * | shadowType
| ) |  |

Read settings from configuration (such as targets, default shader etc.).

shadowType is used as a part of the settings configuration keys (e.g. `RenderManager.Shadows.(type).Shader.Type`). See `data/config-plugins/shadows.cfg` for shadow settings examples.

## Member Data Documentation

csRef<PostEffectManager> CS::RenderManager::ShadowSettings::postEffects

Post processing effects to apply to shadow map.

Definition at line 77 of file shadow_common.h.

bool CS::RenderManager::ShadowSettings::provideIDs

Whether to provide IDs for each shadowed mesh.

Definition at line 72 of file shadow_common.h.

csRef<iShader> CS::RenderManager::ShadowSettings::shadowDefaultShader

Default shader for rendering to shadow map.

Definition at line 68 of file shadow_common.h.

csStringID CS::RenderManager::ShadowSettings::shadowShaderType

Shader type for rendering to shadow map.

Definition at line 70 of file shadow_common.h.

CS::ShaderVarStringID CS::RenderManager::ShadowSettings::svMeshIDName

Shader variable taking ID for a mesh.

Definition at line 74 of file shadow_common.h.

TargetArray CS::RenderManager::ShadowSettings::targets

Targets fir shadow maps.

Definition at line 66 of file shadow_common.h.

The documentation for this class was generated from the following file:

- csplugincommon/rendermanager/shadow_common.h